Description: Fix phpunit 11 compatibility
Forwarded: https://github.com/kissifrot/php-ixr/issues/11
Bug-Debian: http://bugs.debian.org/1070558
Author: Fab Stz <fabstz-it@yahoo.fr>
Last-Update: 2024-07-21

--- a/tests/DataType/DateTest.php
+++ b/tests/DataType/DateTest.php
@@ -12,7 +12,7 @@
      * @return array
      * @see testParseIso
      */
-    function provideDates()
+    static function provideDates()
     {
         return [
             // full datetime, different formats
@@ -44,10 +44,10 @@
      * @param mixed $input
      * @param int $expect
      */
-    function testParseIso($input, $expect)
+    static function testParseIso($input, $expect)
     {
         $dt = new Date($input);
-        $this->assertEquals($expect, $dt->getTimeStamp());
+        self::assertEquals($expect, $dt->getTimeStamp());
     }
 
 }
--- a/tests/Message/MessageTest.php
+++ b/tests/Message/MessageTest.php
@@ -5,7 +5,7 @@
 use IXR\Message\Message;
 use PHPUnit\Framework\TestCase;
 
-class ixr_library_ixr_message_test extends TestCase
+class MessageTest extends TestCase
 {
 
     function testUntypedValue()
